/*****************************************************************************
**																			**
**	 Name: 	Using Sections   												**
**																			**
******************************************************************************

(C) Copyright 2006 - Analog Devices, Inc.  All rights reserved.

Project Name:	UsingSections

Author: 		Fabian (DSP Application Engineer)

Version:		v1.0

Last Modified:	05/19/06

History:		v1.0 05/19/06

Software:		VisualDSP++ 5.0

Hardware:		ADSP-BF537 EZ-KIT Lite

Connections:	ADDS-HPUSB-ICE

Settings:		none		

Purpose:		none

Comments:		Shows how to place code and data in sections


*****************************************************************************/


/****************************************************************************
 Include Section
*****************************************************************************/



/****************************************************************************
 Program Define Section
*****************************************************************************/



/****************************************************************************
 Global Variables
*****************************************************************************/

//define a variable which lies in SDRAM Bank 1
#pragma section ("sdram0_bank1")
int x = 0;

//define a variable which lies in my own defined memory space (Bank 3 Page 0)
#pragma section("MyDefinedMemory") 
int y = 0;

/*****************************************************************************
 Function Prototype Section
******************************************************************************/

//define a function prototype of a function which lies in SDRAM Bank 0
#pragma section ("sdram0_bank0")
void foo(); 

/*****************************************************************************
 Interrupt Service Routines
******************************************************************************/



/****************************************************************************
 Main Program
*****************************************************************************/

void main()
{
    // call my function which lies in bank 0 
    foo();
    
}


/****************************************************************************
 End of Main
*****************************************************************************/

/****************************************************************************
 Functions
*****************************************************************************/
void foo()
{
    //assign 2 to the global variable 
    x = 2;
    
    y = 3;
    
}

/****************************************************************************
 End of Functions
*****************************************************************************/
	

/****************************************************************************
 end of The program
*****************************************************************************/

